Home | All Classes | Grouped Classes | Index | Search

# Class CL_ProgressBar

ProgressBar component More...

Derived from: CL_Component
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_ProgressBar | ProgressBar Constructor

Attributes:

get_steps | Returns the total number of steps.
get_progress | Returns the current amount of progress.
get_percentage | Returns the current amount of progress in percentage.

Operations:

set_steps | Sets the total number of steps to total_steps.
set_progress | Sets the current amount of progress of the total number of steps.
increase | Progresses the bar with steps.
reset | Reset the progress bar. The progress bar `rewinds'.

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.